import java.util.Random;

public class Kecske extends Thread {
	int pozíció;
	int erő;
	int minIdő;
	int maxIdő;
	Palló palló;
	Random rndGen = new Random();
	private Kecske másik;
	
	public Kecske(int pozíció, int ereje, int minIdő, int maxIdő, Palló palló) {
		super();
		this.pozíció = pozíció;
		this.erő = ereje;
		this.minIdő = minIdő;
		this.maxIdő = maxIdő;
		this.palló = palló;
	}


	@Override
	public void run() {
		while (true) {
			vár();

			if (palló.hasNyertes()) {
				System.out.println(erő + " nem lök");
				break;
			}
			lok();
			játékVégétFrissít();
		}

		másik.interrupt();
	}


	private void játékVégétFrissít() {
		if (erő > 0 && pozíció == palló.getHossz()) {
			palló.setNyertes(this);
		}
		if (erő < 0 && pozíció == 0) {
			palló.setNyertes(this);
		}
	}


	private void lok() {
		másik.megLok(erő);
		this.megLok(erő);
	}


	public void megLok(int erő2) {
		pozíció += erő2;

		System.out.println(erő + " új poz: " + pozíció);
	}


	private void vár() {
		int ido = minIdő + rndGen.nextInt(maxIdő - minIdő);

		try {
			Thread.sleep(ido);
		} catch (InterruptedException e) {
		}
	}


	public Kecske getMásik() {
		return másik;
	}


	public void setMásik(Kecske másik) {
		this.másik = másik;
	}
	
	@Override
	public String toString() {
		return "Kecske " + erő;
	}
}





