import java.io.IOException;
import java.io.PrintWriter;
import java.net.Socket;
import java.net.UnknownHostException;
import java.util.Scanner;

public class Kliens {
	public static void main(String[] args) throws UnknownHostException, IOException, InterruptedException {
		int port = Integer.parseInt(args[0]);

		try (
				Socket s = new Socket("localhost", port);
				Scanner sc = new Scanner(s.getInputStream());
				PrintWriter pw = new PrintWriter(s.getOutputStream());
		) {
			communicateWithServer(sc, pw);
		}
		
	}

	private static void communicateWithServer(Scanner sc, PrintWriter pw) throws InterruptedException {

		Thread sendToSrvThread = new Thread(() -> {
			Scanner scIn = new Scanner(System.in);
			while (scIn.hasNextLine()) {
				String nextLine = scIn.nextLine();
				pw.println(nextLine);
				pw.flush();
			}
		});

		Thread recvFromSrvThread = new Thread(() -> {
			while (sc.hasNextLine()) {
				String nextLine = sc.nextLine();
				System.out.println(nextLine);
				System.out.flush();
			}
		});
		
		sendToSrvThread.start();
		recvFromSrvThread.start();
		
		sendToSrvThread.join();
		recvFromSrvThread.join();
	}
}
