import java.io.IOException;
import java.io.PrintWriter;
import java.net.Socket;
import java.net.UnknownHostException;
import java.util.Scanner;

public class Kliens2 {
	public static void main(String[] args) throws UnknownHostException, IOException, InterruptedException {
		int port = Integer.parseInt(args[0]);

		try (
				Socket s = new Socket("localhost", port);
				Scanner sc = new Scanner(s.getInputStream());
				PrintWriter pw = new PrintWriter(s.getOutputStream());
		) {
			communicateWithServer(sc, pw);
		}
		
	}

	private static void communicateWithServer(Scanner sc, PrintWriter pw) throws InterruptedException {
		Thread sendToSrvThread = makeCopierThread(new Scanner(System.in), pw);
		Thread recvFromSrvThread = makeCopierThread(sc, new PrintWriter(System.out));
		
		sendToSrvThread.start();
		recvFromSrvThread.start();
		
		sendToSrvThread.join();
		recvFromSrvThread.join();
	}

	static Thread makeCopierThread(Scanner sc, PrintWriter pw) {
		return new Thread(() -> {
			while (sc.hasNextLine()) {
				String nextLine = sc.nextLine();
				pw.println(nextLine);
				pw.flush();
			}
		});
	}

}
