import java.io.IOException;
import java.io.PrintWriter;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.Scanner;

public class Server {
	public static void main(String[] args) throws IOException {
		int port = Integer.parseInt(args[0]);

		try (
				ServerSocket ss = new ServerSocket(port);
		) {
			while (true) {
				handleOneClient(ss);
			}
		}
	}

	private static void handleOneClient(ServerSocket ss) {
		try (
			Socket s = ss.accept();
			Scanner sc = new Scanner(s.getInputStream());
			PrintWriter pw = new PrintWriter(s.getOutputStream());
		) {
			communicateWithOneClient(sc, pw);
		} catch (Exception e) {
			System.out.println("hibazott a kliens");
			e.printStackTrace();
		}
	}

	private static void communicateWithOneClient(Scanner sc, PrintWriter pw) {
		while  (sc.hasNextLine()) {
			String nextLine = sc.nextLine();
			pw.println(nextLine + nextLine);
			pw.flush();
		}
	}
}
